Package Details: android-ndk r22.b-1

Git Clone URL: https://aur.archlinux.org/android-ndk.git (read-only, click to copy)
Package Base: android-ndk
Description: Android C/C++ developer kit
Upstream URL: https://developer.android.com/ndk/
Licenses: GPL, custom, LGPL
Replaces: android-ndk64
Submitter: sergej
Maintainer: yan12125 (lilac)
Last Packager: lilac
Votes: 275
Popularity: 1.71
First Submitted: 2009-06-26 09:29
Last Updated: 2021-03-25 07:26

Dependencies (4)

Required by (119)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

ikhthiandor commented on 2015-05-02 09:56

I am getting this error.

Extracting android-ndk-r10d/build/awk
Extracting android-ndk-r10d/build
Extracting android-ndk-r10d

Sub items Errors: 1398

Archive Errors: 1

Sub items Errors: 1398
==> ERROR: A failure occurred in prepare().
Aborting...

This stackoverflow thread might be relevant.
http://stackoverflow.com/questions/28458758/error-encountered-installing-android-ndk

xyproto commented on 2015-02-11 00:06

Thanks, Kuci. Updated the package. Also using the new "source_x86_64" / "source_i686" possibilities.

the-k commented on 2015-02-08 19:01

replaces and provides should be global. Otherwise they do not work for me.

senselessfull commented on 2014-12-16 14:36

The problem is, that on some devices /tmp isn't large enough, which explains why manually downloading and extracting works [in home dir].
Changing the yaourt tmp-dir works and the call would be
" yaourt -S --tmp ~/ android-ndk"

trulex commented on 2014-12-14 22:15

I installed it manually now and it worked. My yaourt installation is probably misconfigured.

senselessfull commented on 2014-12-14 21:17

If there are those "Sub item Errors" it might mean that you don't have enough free disk space. The ndk*.bin is 430MB and unzipped it takes up 3.3GB of storage. Try again with more disk space^^

trulex commented on 2014-12-14 19:00

Cannot install with yaourt:
Sub items Errors: 234

Archive Errors: 1

Sub items Errors: 234
==> ERROR: A failure occurred in prepare().
Aborting...
==> ERROR: Makepkg was unable to build android-ndk.

lilydjwg commented on 2014-12-10 04:59

The new PKGBUILD fails with devtools because the source file is read-only. Could you copy it so that users don't have to modify it before building it with devtools?

Also, the source files have the same file name every version. This may make makepkg think it has the sources but the checksum mismatches.

giniu commented on 2014-12-09 14:38

works now, thanks!

xyproto commented on 2014-12-09 10:41

The way the binary files are compressed were changed. Everything works here.